IBMi Apache HTTP - Zend Server http.conf "include" directive error

Follow

 Issue

Trying to configure the Zend Server for IBMi, http.conf ZENDSVR6 instance, but the IBM Web GUI will not allow "Save Changes" because of errors with few include directives.

The default httpd.conf file distributed with Zend Server for IBMi, contain a few "Include" directives with wildcard,  that has no .conf files to match at install time. 

 

Environment 

IBMi OS V6.1 - V7.2

 

Resolution

The Include directive '/usr/local/zendsvr6/etc/sites.d/globals-*.conf'
Can be commented out, it is included for compatibility with previous Zend Server versions.

The include directive /usr/local/zendsvr6/etc/sites.d/vhost_*.conf
Can be commented as well until you start using the deployment option that will create the matching .conf files.

Please comment out the Include directives with a '#'. In the configuration file /www/zendsvr/conf/httpd.conf, which can be edited from within the IBM Web Admin (Tools -> Edit Configuration File), find these two lines (near the end of the file);

Include /usr/local/zendsvr/etc/sites.d/globals-.conf
Include /usr/local/zendsvr/etc/sites.d/vhost_.conf

Insert the '#' in front of each line to comment it out:

# Include /usr/local/zendsvr/etc/sites.d/globals-.conf
# Include /usr/local/zendsvr/etc/sites.d/vhost_.conf

Explore the following information on virtual host and deployment:
Working with Virtual Hosts
Deployment

 

Details

Note: Apache version 2.4 The IncludeOptional directive allows inclusion of other configuration files from other server configuration files.
It works identically to the Include directive, with the exception that if wildcards do not match any file or directory, the IncludeOptional directive will be silently ignored instead of causing an error.

This change can affect customers upgrading from earlier versions:

After upgrading to IBM i 7.2 or higher, the ZENDSVR6 Apache instance will not start

 

Have more questions? Submit a request

Comments

Powered by Zendesk